App::Yath::Plugin::Git(3pm)

NAME
App::Yath::Plugin::Git - Plugin to attach git data to a test run.

DESCRIPTION
This plugin will attach git data to your test logs if any is available.

SYNOPSIS
    $ yath test -pGit ...

READING THE DATA
The data is attached to the 'run' entry in the log file. This can be seen directly in the json data. The data is also easily accessible with Test2::Harness::UI.

The data will include the long sha, short sha, branch name, and a brief status.

PROVIDED OPTIONS

  COMMAND OPTIONS
Git Options

--git-change-base master
--git-change-base HEAD^
--git-change-base df22abe4
--no-git-change-base
    Find files changed by all commits in the current branch from most recent stopping when a commit is found that is also present in the history of the branch/commit specified as the change base.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/